## modules 0.1.0

=== DESCRIPTION ===
Package: modules
Title: Self Contained Units of Source Code
Version: 0.1.0
Date: 2015-12-18
Authors@R: person("Sebastian", "Warnholz", email = "wahani@gmail.com", role = c("aut", "cre"))
Description: Provides modules as an organizational unit for source code. Modules
    enforce to be more rigorous when defining dependencies and have
    a local search path. They can be used as a sub unit within packages
    or in scripts.
BugReports: https://github.com/wahani/modules/issues
Depends: R (>= 3.2.2), aoos, methods
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
Suggests: disposables, testthat, devtools, knitr, parallel
RoxygenNote: 5.0.1
Collate: 'NAMESPACE.R' 'module.R' 'module-class.R' 'module-coercion.R'
        'module-helper.R'
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-12-19 17:18:36 UTC; sebastian
Author: Sebastian Warnholz [aut, cre]
Maintainer: Sebastian Warnholz <wahani@gmail.com>
Repository: CRAN
Date/Publication: 2015-12-19 19:07:23
