## modules 0.4.0

=== DESCRIPTION ===
Package: modules
Title: Self Contained Units of Source Code
Version: 0.4.0
Date: 2016-04-07
Authors@R: person("Sebastian", "Warnholz", email = "wahani@gmail.com", role = c("aut", "cre"))
Description: Provides modules as an organizational unit for source code. Modules
    enforce to be more rigorous when defining dependencies and have
    a local search path. They can be used as a sub unit within packages
    or in scripts.
BugReports: https://github.com/wahani/modules/issues
URL: https://github.com/wahani/modules
ByteCompile: TRUE
Depends: R (>= 3.2.0), aoos, methods
Imports: stringr, utils
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Suggests: disposables, testthat, devtools, knitr, rmarkdown, parallel
RoxygenNote: 5.0.1
Collate: 'NAMESPACE.R' 'getSearchPath.R' 'modfun.R' 'module-class.R'
        'module-coercion.R' 'module-helper.R' 'module.R'
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-04-07 14:34:10 UTC; sebastian
Author: Sebastian Warnholz [aut, cre]
Maintainer: Sebastian Warnholz <wahani@gmail.com>
Repository: CRAN
Date/Publication: 2016-04-07 18:27:31
