## modules 0.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: modules
 Title: Self Contained Units of Source Code
-Version: 0.10.0
+Version: 0.11.0
 Authors@R: person("Sebastian", "Warnholz", email = "wahani@gmail.com", role = c("aut", "cre"))
 Description: Provides modules as an organizational unit for source code. Modules
     enforce to be more rigorous when defining dependencies and have
@@ -13,17 +13,16 @@
 Imports: utils
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 Suggests: testthat, devtools, knitr, lintr, rmarkdown, parallel
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Collate: 'amodule.R' 'NAMESPACE.R' 'getSearchPath.R' 'class.R'
         'depend.R' 'export.R' 'expose.R' 'extend.R' 'import.R'
         'module-class.R' 'module-coercion.R' 'module-helper.R'
         'module.R' 'use.R' 'testModule.R' 'base-override.R'
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-02-06 21:03:36 UTC; lswarnholz
+Packaged: 2023-06-10 10:26:46 UTC; lswarnholz
 Author: Sebastian Warnholz [aut, cre]
 Maintainer: Sebastian Warnholz <wahani@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-02-06 22:40:03 UTC
+Date/Publication: 2023-06-10 11:30:02 UTC
