## modules 0.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: modules
 Title: Self Contained Units of Source Code
-Version: 0.11.0
+Version: 0.12.0
 Authors@R: person("Sebastian", "Warnholz", email = "wahani@gmail.com", role = c("aut", "cre"))
 Description: Provides modules as an organizational unit for source code. Modules
     enforce to be more rigorous when defining dependencies and have
@@ -21,8 +21,8 @@
         'module.R' 'use.R' 'testModule.R' 'base-override.R'
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-06-10 10:26:46 UTC; lswarnholz
+Packaged: 2023-08-25 13:14:13 UTC; lswarnholz
 Author: Sebastian Warnholz [aut, cre]
 Maintainer: Sebastian Warnholz <wahani@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-06-10 11:30:02 UTC
+Date/Publication: 2023-08-25 13:50:05 UTC
