## modules 3.2.9c

=== debian/changelog ===
modules (3.2.9c-3) unstable; urgency=low

  * Fix broken bash completion. Thanks to Alexy Brodkin for patch.
    Closes: #691521 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Nov 2012 14:51:25 +0000

modules (3.2.9c-2) unstable; urgency=low

  * B-D on tcl8.5-dev, not tcl8.5 only.   Closes: #671522.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 May 2012 19:57:57 +0100

modules (3.2.9c-1) unstable; urgency=low

  * Initial release. (Closes: #583484)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Apr 2012 11:14:56 +0100
