=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

TDIR=debian/environment-modules

# The magic debhelper  rule
%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
                --prefix=/usr  --with-version-path=/usr/share/modules/versions \
		--with-module-path=/usr/share/modules/modulefiles \
		--bindir=/usr/bin

override_dh_auto_install:
	dh_auto_install
	# Fix brain-dead install locations.
	mv ${TDIR}/usr/Modules/*/bin/* ${TDIR}/usr/bin
	rmdir ${TDIR}/usr/Modules/*/bin
	mv ${TDIR}/usr/Modules/*/init/bash_completion ${TDIR}/etc/bash_completion.d/modules
	mv ${TDIR}/usr/Modules/*/share/* ${TDIR}/usr/share
	mv ${TDIR}/usr/Modules/*/init ${TDIR}/usr/share/modules
	mv ${TDIR}/usr/Modules/*/modulefiles ${TDIR}/usr/share/modules
	rmdir ${TDIR}/usr/Modules/*/share
	mv ${TDIR}/usr/Modules ${TDIR}/usr/share/modules
	cp debian/csh ${TDIR}/etc/csh/login.d/modules
	cp debian/sh  ${TDIR}/etc/profile.d/modules.sh
