## modules 3.2.10

=== debian/changelog ===
modules (3.2.10-8) unstable; urgency=medium

  [Yaroslav O. Halchenko]
  * debian/sh
   - enable init script for zsh. Closes #731974.
  * Add support for tcl < 8.6.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2013 06:34:42 +0000

modules (3.2.10-7) unstable; urgency=low

  * Add /etc/environment-modules/modulespath as conffile; 
    /usr/share/init/.modulespath  points to this. Closes: #711955
  * Add /etc/environment-modules/modules ; include in modulespath.
  * Patch for fixing minor compiler warnings from lintian.
  * Standards-Version: 3.9.5. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Nov 2013 18:24:31 +0000

modules (3.2.10-6) unstable; urgency=low

  * Fix testsuite breakage on kFreeBSD

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Nov 2013 18:50:04 +0000

modules (3.2.10-5) unstable; urgency=low

  * Undo tcl8.6-dev change until the transition as it breaks buildds.
    Closes: #726890.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Oct 2013 22:09:35 +0100

modules (3.2.10-4) unstable; urgency=low

  * Replace tcl8.6-dev by tcl-dev | tcl8.6-dev for FTBFS in experimental
    Closes: #725010. 
  * Added Patch for uname version strings with braces in them.
  * Enable syslog functionality.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2013 09:50:10 +0100

modules (3.2.10-3) unstable; urgency=low

  * Fixes needed for -Werror=format-security.  

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Jun 2013 09:20:40 +0100

modules (3.2.10-2) unstable; urgency=low

  * Move from tcl8.5 to tcl8.6. 
  * Minor fix needed for hardening; dh_compat=9

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Jun 2013 13:34:08 +0100

modules (3.2.10-1) unstable; urgency=low

  * New upstream release. Closes: #397906.
  * Fix ksh completion patch. Thanks to Bastian Neuberger. Closes: #697685.
  * Now at Standards-Version: 3.9.4
  * Move to Debhelper dependency >=9.
  * Add hardening, linking as-needed.
  * Add watch file thanks to Bart Martens.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Jan 2013 15:04:02 +0000
