=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://modules.sourceforge.net/
-Build-Depends: tcl8.5-dev, debhelper (>= 8.1.3~), dejagnu
+Build-Depends: tcl8.6-dev | tcl-dev, debhelper (>= 9), dejagnu
 
 Package: environment-modules
 Architecture: any
-Depends: debhelper (>= 8.1.3), tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: debhelper (>= 9), tcl8.6 | tcl, ${misc:Depends}, ${shlibs:Depends}
 Description: Modular system for handling environment variables
  The Modules package provides for the dynamic modification of a user's
  environment via modulefiles.  Each modulefile contains the information
