=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,29 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 TDIR=debian/environment-modules
+
+DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
+DEB_LDFLAGS_MAINT_APPEND:= -Wl,--as-needed
+export  DEB_BUILD_MAINT_OPTIONS DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND
 
 # The magic debhelper  rule
 %:
 	dh $@ 
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f stamp-h
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
                 --prefix=/usr  --with-version-path=/usr/share/modules/versions \
 		--with-module-path=/usr/share/modules/modulefiles \
-		--bindir=/usr/bin
+		--with-tcl-ver=8.6 \
+		--enable-logging \
+		--bindir=/usr/bin LDFLAGS='$(LDFLAGS) -Wl,--as-needed' CFLAGS='$(CFLAGS) '
 
 override_dh_auto_install:
 	dh_auto_install
@@ -27,3 +38,6 @@
 	mv ${TDIR}/usr/Modules ${TDIR}/usr/share/modules
 	cp debian/csh ${TDIR}/etc/csh/login.d/modules
 	cp debian/sh  ${TDIR}/etc/profile.d/modules.sh
+	cp debian/modulespath ${TDIR}/etc/environment-modules/modulespath
+	rm ${TDIR}/usr/share/modules/init/.modulespath
+	dh_link /etc/environment-modules/modulespath /usr/share/modules/init/.modulespath
