=== debian/changelog ===
modules (4.0.0-1) unstable; urgency=medium

  * New upstream release
    - tcl_8.6.patch upstream
    - significant rewrite to use tcl rather than C
  * Use source format 3.0; compression 'xz'
  * Standards-Version: 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Oct 2017 10:00:28 +0100

modules (3.2.10-10) unstable; urgency=medium

  * Conflict with lmod. Closes: #846580
  * Standards-Version: 3.9.8; no changes required
  * Now use debhelper 10.
  * Move /etc/bash_completions.d -> /usr/share/bash-completions/completions
  * Close old bugs already fixed: Closes: #731974
  * Fix broken path to modulecmd in bash completions. Closes: #785223
  * Remove duplicate ref to conffile modulespath

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 11:17:36 +0000

modules (3.2.10-9) unstable; urgency=medium

  * Now use xz compression.  
  * Build with optional tclX support. Closes: #741775.
  * Ensure bug closed after typo in last entry: Close: #731974.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Mar 2014 11:54:56 +0000
