=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 Homepage: http://modules.sourceforge.net/
-Build-Depends: tcl8.6-dev | tcl-dev, debhelper (>= 9), dejagnu
+Build-Depends: tcl8.6-dev | tcl-dev, debhelper (>= 10), dejagnu, tclx8.4-dev
 
 Package: environment-modules
 Architecture: any
-Depends: debhelper (>= 9), tcl8.6 | tcl, ${misc:Depends}, ${shlibs:Depends}
+Depends: debhelper (>= 10), tcl8.6 | tcl, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: lmod
 Description: Modular system for handling environment variables
  The Modules package provides for the dynamic modification of a user's
  environment via modulefiles.  Each modulefile contains the information
